<?php

define('APP_PATH', rtrim(dirname($_SERVER['SCRIPT_FILENAME']), '/') . '/');
define('INCLUDES', APP_PATH . 'includes/');
require_once(INCLUDES . 'settings.php'); //names and constants. standard stuff but not for clients to configure

?>
<html>
        <head>
                <title><?php echo $settings['product_name']; ?></title>
                
                <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Actor" type="text/css">
                <link rel="stylesheet" type="text/css" href="<?php echo CSS_URL; ?>style.css" />
                
                <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
        </head>
        <body>
                <div class="wrapper">
                        <div class="header wrap clearfix">
                                <img src="<?php echo IMAGES_URL; ?>is_logo.png" class="is_logo" />
                                <h1><?php echo $settings['product_name']; ?></h1>
                                <h2>V<?php echo VERSION_NUMBER; ?> <?php echo output_version_check(); ?></h2>
                        </div>
                        <div class="content wrap clearfix">
                                <div class="feedback_container"></div>
                        
                        <?php
                                if (!$config_vars) {
                                        echo '<h2>First Run Setup</h2>';
                                        echo setup_wizard();
                                        echo '<hr />';
                                } else if (!check_fatal_errors()) {
                                        echo '<h2>Processing Orders (Trickle Limit: ' . $config_vars['batch_limit'] . ')</h2>';
                                        make_it_so_number_one();
                                        echo '<hr />';
                                }
                        ?>

                        </div>
                        <div class="wrap footer">
                                &copy; <?php echo $settings['copyright_name']; ?> - <?php echo date('Y'); ?>
                        </div>
                </div>
                
                <?php
                display_general_messages();
                ?>
                
                <?php close_script(); ?>
        </body>
</html>
<?php if (isset($_GET['debug'])) { printr($config_vars); printr($internal_config); } ?>